{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gnupg2/gnupg2",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gnupg2_dirmngr_ocsp_responder_URL",
            "desc": "测试使用指定URL的OCSP响应器"
        },
        {
            "name": "test_gnupg2_dirmngr-client__ping",
            "desc": "测试使用 --ping 选项检查 dirmngr 守护进程是否正在运行"
        },
        {
            "name": "test_gnupg2_dirmngr-client__lookup",
            "desc": "测试使用 --lookup 选项查找一个证书"
        },
        {
            "name": "test_gnupg2_g13_mount__v",
            "desc": "测试以详细模式挂载一个文件系统容器"
        },
        {
            "name": "test_gnupg2_g13_mount__type",
            "desc": "测试使用指定格式挂载文件系统容器"
        },
        {
            "name": "test_gnupg2_gpg__k",
            "desc": "测试列出密钥"
        },
        {
            "name": "test_gnupg2_gpg__upper_k",
            "desc": "测试列出私钥"
        },
        {
            "name": "test_gnupg2_gpg__receive_keys",
            "desc": "测试从密钥服务器导入密钥"
        },
        {
            "name": "test_gnupg2_gpg__card_status",
            "desc": "测试打印智能卡状态"
        },
        {
            "name": "test_gnupg2_gpg__update_trustdb",
            "desc": "测试更新信任数据库"
        },
        {
            "name": "test_gnupg2_gpg__print_md",
            "desc": "测试打印消息摘要"
        },
        {
            "name": "test_gnupg2_gpg__q",
            "desc": "测试安静模式输出"
        },
        {
            "name": "test_gnupg2_gpg__encrypt_to",
            "desc": "测试额外加密至指定用户"
        },
        {
            "name": "test_gnupg2_gpg__openpgp",
            "desc": "测试使用严格OpenPGP行为"
        },
        {
            "name": "test_gnupg2_gpg__include_key_block",
            "desc": "测试在签名中包含公钥"
        },
        {
            "name": "test_gnupg2_gpg__disable_dirmngr",
            "desc": "测试禁用所有对目录管理器的访问"
        },
        {
            "name": "test_gnupg2_gpg__u",
            "desc": "测试使用指定本地用户进行签名或解密"
        },
        {
            "name": "test_gnupg2_gpg-agent_disable_scdaemon",
            "desc": "测试gpg-agent不启用SCdaemon"
        },
        {
            "name": "test_gnupg2_gpg-agent_scdaemon_program",
            "desc": "测试gpg-agent使用指定程序作为SCdaemon"
        },
        {
            "name": "test_gnupg2_gpg-agent_keep_tty",
            "desc": "测试gpg-agent忽略改变TTY的请求"
        },
        {
            "name": "test_gnupg2_gpg-agent_default_cache_ttl_num",
            "desc": "测试gpg-agent设置PIN码默认缓存过期时间"
        },
        {
            "name": "test_gnupg2_gpg-agent_default_cache_ttl_ssh_num",
            "desc": "测试gpg-agent设置SSH密钥默认缓存过期时间"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__q",
            "desc": "使用 quiet 参数运行 gpg-connect-agent 命令，用于安静模式"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent___hex",
            "desc": "使用 hex 参数运行 gpg-connect-agent 命令，以十六进制编码打印数据"
        },
        {
            "name": "test_gnupg2_gpgsm_dry_run",
            "desc": "使用gpgsm的演练模式，不实际更改"
        },
        {
            "name": "test_gnupg2_gpgtar_o",
            "desc": "将输出写入指定文件"
        },
        {
            "name": "test_gnupg2_gpgtar_q",
            "desc": "启用安静模式"
        },
        {
            "name": "test_gnupg2_dirmngr-client__l",
            "desc": "使用 -l 参数测试仅在本地存储中查找证书"
        },
        {
            "name": "test_gnupg2_g13_create",
            "desc": "测试创建新的文件系统容器"
        },
        {
            "name": "test_gnupg2_g13__q",
            "desc": "测试启用安静输出模式"
        },
        {
            "name": "test_gnupg2_gpg_c",
            "desc": "仅使用对称密码对文件进行加密"
        },
        {
            "name": "test_gnupg2_gpg_k",
            "desc": "列出公钥环中的密钥"
        },
        {
            "name": "test_gnupg2_gpg_upper_k",
            "desc": "列出私钥环中的密钥"
        },
        {
            "name": "test_gnupg2_gpg_quick_generate_key",
            "desc": "快速生成一个新的密钥对"
        },
        {
            "name": "test_gnupg2_gpg_update_trustdb",
            "desc": "更新信任数据库"
        },
        {
            "name": "test_gnupg2_gpg_v",
            "desc": "启用详细输出模式"
        },
        {
            "name": "test_gnupg2_gpg_options",
            "desc": "从指定文件读取选项"
        },
        {
            "name": "test_gnupg2_gpg_n",
            "desc": "执行空运行，不进行实际更改"
        },
        {
            "name": "test_gnupg2_gpg-agent__min_passphrase_nonalpha",
            "desc": "测试设置新密码短语中至少需要非字母字符的数量"
        },
        {
            "name": "test_gnupg2_gpg-card__status_fd",
            "desc": "测试使用 status-fd 参数，指定文件描述符来写入状态信息"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__v",
            "desc": "测试使用 -v 参数以详细模式运行"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__upper_t",
            "desc": "测试使用 -T 参数连接到指定地址的 Assuan 服务器"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__no_history",
            "desc": "测试使用 --no-history 参数不使用命令历史文件"
        },
        {
            "name": "test_gnupg2_gpg-wks-client_print-wkd-hash",
            "desc": "测试打印给定用户ID的WKD标识符"
        },
        {
            "name": "test_gnupg2_gpg-wks-client_print-wkd-url",
            "desc": "测试打印给定用户ID的WKD URL"
        },
        {
            "name": "test_gnupg2_gpg-wks-client_v",
            "desc": "测试启用详细输出模式"
        },
        {
            "name": "test_gnupg2_gpgconf_list_components",
            "desc": "测试列出所有组件"
        },
        {
            "name": "test_gnupg2_gpgconf_list_options",
            "desc": "测试列出指定组件的选项"
        },
        {
            "name": "test_gnupg2_g13_server",
            "desc": "测试使用--server命令以服务器模式运行"
        },
        {
            "name": "test_gnupg2_g13_v",
            "desc": "测试使用-v或--verbose参数启用详细输出"
        },
        {
            "name": "test_gnupg2_g13_q",
            "desc": "测试使用-q或--quiet参数启用安静模式"
        },
        {
            "name": "test_gnupg2_g13_dry_run",
            "desc": "测试使用--dry-run参数执行模拟操作而不做任何更改"
        },
        {
            "name": "test_gnupg2_gpg_print_md",
            "desc": "打印消息摘要"
        },
        {
            "name": "test_gnupg2_gpg_server",
            "desc": "以服务器模式运行"
        },
        {
            "name": "test_gnupg2_gpg_q",
            "desc": "启用安静输出模式"
        },
        {
            "name": "test_gnupg2_gpg_openpgp",
            "desc": "使用严格的OpenPGP行为"
        },
        {
            "name": "test_gnupg2_gpg-agent__c",
            "desc": "测试以csh风格输出命令的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__disable-scdaemon",
            "desc": "测试启动时不使用SCdaemon的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__keep-display",
            "desc": "测试忽略更改X显示请求的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__ssh-fingerprint-digest",
            "desc": "测试使用指定算法显示SSH指纹的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__default-cache-ttl",
            "desc": "测试设置缓存PIN默认过期时间的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__max-cache-ttl",
            "desc": "测试设置PIN缓存最大生存时间的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__no-allow-external-cache",
            "desc": "测试禁止使用外部密码缓存的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__allow-preset-passphrase",
            "desc": "测试允许预设密码短语的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__max-passphrase-days",
            "desc": "测试设置密码短语过期天数的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__grab",
            "desc": "测试让PIN输入程序捕获键盘和鼠标的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__pinentry-program",
            "desc": "测试使用指定程序作为PIN输入程序的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-agent__allow-emacs-pinentry",
            "desc": "测试允许通过Emacs提示输入密码短语的gpg-agent"
        },
        {
            "name": "test_gnupg2_gpg-card_help",
            "desc": "测试gpg-card命令的帮助信息"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__decode",
            "desc": "测试gpg-connect-agent命令解码接收的数据行"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__dirmngr",
            "desc": "测试gpg-connect-agent命令连接到目录管理器（dirmngr）"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__upper_e",
            "desc": "测试gpg-connect-agent命令运行命令行中指定的Assuan服务器"
        },
        {
            "name": "test_gnupg2_gpg-connect-agent__no-ext-connect",
            "desc": "测试gpg-connect-agent命令不使用扩展连接模式"
        }
    ]
}